Index: py-scientific/files/customize.py-macosx
===================================================================
--- py-scientific/files/customize.py-macosx	(revision 0)
+++ py-scientific/files/customize.py-macosx	(revision 0)
@@ -0,0 +1,17 @@
+extra_compile_args = []
+extra_link_args = []
+include_dirs = []
+
+use_system_lapack = 1
+lapack_library_dirs = []
+lapack_libraries = []
+lapack_extra_link_args = ['-framework', 'vecLib']
+
+use_dotblas = 1
+use_system_blas = 1
+dotblas_include_dirs = []
+dotblas_cblas_header = '<vecLib/vBLAS.h>'
+dotblas_library_dirs = lapack_library_dirs
+dotblas_libraries = lapack_libraries
+dotblas_extra_link_args = ['-framework', 'vecLib']
+
Index: py-scientific/files/customize.py-puredarwin
===================================================================
--- py-scientific/files/customize.py-puredarwin	(revision 0)
+++ py-scientific/files/customize.py-puredarwin	(revision 0)
@@ -0,0 +1,17 @@
+extra_compile_args = []
+extra_link_args = []
+include_dirs = []
+
+use_system_lapack = 1
+lapack_library_dirs = []
+lapack_libraries = []
+lapack_extra_link_args = ['-framework', 'vecLib']
+
+use_dotblas = 0
+use_system_blas = 0
+dotblas_include_dirs = []
+dotblas_cblas_header = '<vecLib/vBLAS.h>'
+dotblas_library_dirs = lapack_library_dirs
+dotblas_libraries = lapack_libraries
+dotblas_extra_link_args = ['-framework', 'vecLib']
+
Index: py-scientific/Portfile
===================================================================
--- py-scientific/Portfile	(revision 34201)
+++ py-scientific/Portfile	(working copy)
@@ -4,40 +4,62 @@
 PortSystem       1.0
 PortGroup        python24 1.0
 name             py-scientific
-version          2.6
+version          2.6.1
 categories       python science
+platforms        darwin
 maintainers      openmaintainer jochen
 description      Scientific Python
 long_description ScientificPython is a collection of Python modules that \
 		 are useful for scientific computing.
-homepage         http://dirac.cnrs-orleans.fr/plone/software/scientificpython/
-master_sites	 http://sourcesup.cru.fr/frs/download.php/1034 \
-                 http://www.mirrorservice.org/sites/www.ibiblio.org/gentoo/distfiles
+homepage         http://dirac.cnrs-orleans.fr/plone/software/scientificpython
+master_sites     http://sourcesup.cru.fr/frs/download.php/1674/
 distname         ScientificPython-${version}
-checksums        md5 6ebd96fc8a4e015adab2c57826d52e9f \
-                 sha1 db5b0d369e8254130312553a13a70888537e637e
 
+checksums        md5 1b93026dd02529607131e5b0b83aeec4 \
+                 sha1 81adf95e2c6060f64d3712dba8f4a5b43402e179 \
+                 rmd160 83ddfa7123f33990b2baf293bdac4d37da8abeb6
+
 depends_lib      port:netcdf \
-		 port:py-numeric
+                 port:py-numeric
 
 build.env    	 CPPFLAGS="-I${prefix}/include/python2.4 \
 		 -I${worksrcpath}/Include" \
-		 NETCDF_PREFIX=${prefix}		 
+		 NETCDF_PREFIX=${prefix}
 
-variant mpi      {
-        depends_lib-append port:lammpi
+post-destroot {
+    move ${destroot}${prefix}/bin/bsp_virtual \
+        ${destroot}${prefix}/bin/bsp_virtual2.4
+}
 
-        post-build	 {
-		 reinplace "s|%s %s -o mpipython|${prefix}/bin/%s -o mpipython -I${prefix}/include/python2.4 -I${worksrcpath}/Include|g" \
+platform macosx {
+    post-extract {
+        copy -force ${filespath}/customize.py-macosx ${worksrcpath}/customize.py
+    }
+}
+
+platform puredarwin {
+    post-extract {
+        copy -force ${filespath}/customize.py-puredarwin ${worksrcpath}/customize.py
+    }
+}
+
+variant mpi description {Enable lammpi support} {
+    depends_lib-append  port:lammpi
+    post-build {
+        reinplace "s|%s %s -o mpipython|${prefix}/bin/%s -o mpipython -I${prefix}/include/python2.4 -I${worksrcpath}/Include|g" \
 			${worksrcpath}/Src/MPI/compile.py
-		 reinplace "s|-L%s -lpython%s|-L/Library/Frameworks/Python.framework/Versions/2.4/lib -L%s -lpython.%s|g" \
+        reinplace "s|-L%s -lpython%s|-L/Library/Frameworks/Python.framework/Versions/2.4/lib -L%s -lpython.%s|g" \
 			${worksrcpath}/Src/MPI/compile.py
-		 reinplace "s|cfgDict\\\[\'LINK|#cfgDict\\\[\'LINK|g" \
+        reinplace "s|cfgDict\\\[\'LINK|#cfgDict\\\[\'LINK|g" \
 			${worksrcpath}/Src/MPI/compile.py
-		 system "cd ${worksrcpath}/Src/MPI && python2.4 compile.py"
-        }
+        system "cd ${worksrcpath}/Src/MPI && ${prefix}/bin/python2.4 compile.py"
+    }
 
-        post-destroot    {
-		 xinstall -m 0755 -W ${worksrcpath}/Src/MPI mpipython ${destroot}${prefix}/bin
-        }
+    post-destroot {
+        xinstall ${worksrcpath}/Src/MPI/mpipython ${destroot}${prefix}/bin
+    }
 }
+
+livecheck.check regex
+livecheck.url   http://sourcesup.cru.fr/projects/scientific-py/
+livecheck.regex {<td>(\d+(?:\.\d+)*)}
Index: py25-scientific/Portfile
===================================================================
--- py25-scientific/Portfile	(revision 34201)
+++ py25-scientific/Portfile	(working copy)
@@ -1,35 +1,36 @@
+# -*- coding: utf-8; truncate-lines: t -*-
 # $Id$
 
-PortSystem      1.0
-PortGroup       python25 1.0
+PortSystem       1.0
+PortGroup        python25 1.0
+name             py25-scientific
+version          2.6.1
+categories       python science
+platforms        darwin
+maintainers      nomaintainer
+description      Scientific Python
+long_description ScientificPython is a collection of Python modules that \
+		 are useful for scientific computing.
+homepage         http://dirac.cnrs-orleans.fr/plone/software/scientificpython
+master_sites     http://sourcesup.cru.fr/frs/download.php/1674/
+distname         ScientificPython-${version}
 
-name            py25-scientific
-version         2.6.1
-set branch      [join [lrange [split ${version} .] 0 1] .]
-categories      python science
-platforms       darwin
-maintainers     nomaintainer
-description     Scientific Python
+checksums        md5 1b93026dd02529607131e5b0b83aeec4 \
+                 sha1 81adf95e2c6060f64d3712dba8f4a5b43402e179 \
+                 rmd160 83ddfa7123f33990b2baf293bdac4d37da8abeb6
 
-long_description \
-    ScientificPython is a collection of Python modules that \
-    are useful for scientific computing.
+depends_lib      port:netcdf \
+                 port:py25-numeric
 
-homepage        http://dirac.cnrs-orleans.fr/ScientificPython/
-master_sites    http://sourcesup.cru.fr/frs/download.php/1034/
-distname        ScientificPython-${branch}
+build.env    	 CPPFLAGS="-I${prefix}/include/python2.4 \
+		 -I${worksrcpath}/Include" \
+		 NETCDF_PREFIX=${prefix}
 
-checksums       md5 6ebd96fc8a4e015adab2c57826d52e9f \
-                sha1 db5b0d369e8254130312553a13a70888537e637e \
-                rmd160 5c9e8cba2373d722854cfe57e270803d7ed2bf2a
+post-destroot {
+    move ${destroot}${prefix}/bin/bsp_virtual \
+        ${destroot}${prefix}/bin/bsp_virtual2.5
+}
 
-depends_lib     port:netcdf \
-                port:py25-numeric
-
-build.env    	CPPFLAGS="-I${prefix}/include/python2.5 \
-	            -I${worksrcpath}/Include" \
-                NETCDF_PREFIX=${prefix}
-
 platform macosx {
     post-extract {
         copy -force ${filespath}/customize.py-macosx ${worksrcpath}/customize.py
@@ -44,7 +45,6 @@
 
 variant mpi description {Enable lammpi support} {
     depends_lib-append  port:lammpi
-
     post-build {
         reinplace "s|%s %s -o mpipython|${prefix}/bin/%s -o mpipython -I${prefix}/include/python2.5 -I${worksrcpath}/Include|g" \
 			${worksrcpath}/Src/MPI/compile.py
@@ -52,7 +52,6 @@
 			${worksrcpath}/Src/MPI/compile.py
         reinplace "s|cfgDict\\\[\'LINK|#cfgDict\\\[\'LINK|g" \
 			${worksrcpath}/Src/MPI/compile.py
-
         system "cd ${worksrcpath}/Src/MPI && ${prefix}/bin/python2.5 compile.py"
     }
 