--- ../foreign-1.1d7/boomake.orig	2007-12-28 12:04:12.000000000 +0000
+++ ../foreign-1.1d7/boomake	2007-12-28 12:53:29.000000000 +0000
@@ -146,24 +146,24 @@
         croak "Project has not been configured - boomake is missing"
     fi
     cd $PUSHDIR
-    carp "Processing project in apr..."
-    PUSHDIR=`pwd`
-    cd apr
-    if [ -f boomake ]; then
-        sh boomake allgen || croak
-    else
-        croak "Project has not been configured - boomake is missing"
-    fi
-    cd $PUSHDIR
-    carp "Processing project in pcre..."
-    PUSHDIR=`pwd`
-    cd pcre
-    if [ -f boomake ]; then
-        sh boomake allgen || croak
-    else
-        croak "Project has not been configured - boomake is missing"
-    fi
-    cd $PUSHDIR
+#    carp "Processing project in apr..."
+#    PUSHDIR=`pwd`
+#    cd apr
+#    if [ -f boomake ]; then
+#        sh boomake allgen || croak
+#    else
+#        croak "Project has not been configured - boomake is missing"
+#    fi
+#    cd $PUSHDIR
+#    carp "Processing project in pcre..."
+#    PUSHDIR=`pwd`
+#    cd pcre
+#    if [ -f boomake ]; then
+#        sh boomake allgen || croak
+#    else
+#        croak "Project has not been configured - boomake is missing"
+#    fi
+#    cd $PUSHDIR
     carp "Processing project in zlib..."
     PUSHDIR=`pwd`
     cd zlib
@@ -199,22 +199,22 @@
     fi
     cd $PUSHDIR
     PUSHDIR=`pwd`
-    cd apr
-    if [ -f boomake ]; then
-        sh boomake -install ../_install install || croak
-    else
-        carp "Project has not been built - boomake is missing"
-    fi
-    cd $PUSHDIR
-    PUSHDIR=`pwd`
-    cd pcre
-    if [ -f boomake ]; then
-        sh boomake -install ../_install install || croak
-    else
-        carp "Project has not been built - boomake is missing"
-    fi
-    cd $PUSHDIR
-    PUSHDIR=`pwd`
+#    cd apr
+#    if [ -f boomake ]; then
+#        sh boomake -install ../_install install || croak
+#    else
+#        carp "Project has not been built - boomake is missing"
+#    fi
+#    cd $PUSHDIR
+#    PUSHDIR=`pwd`
+#    cd pcre
+#    if [ -f boomake ]; then
+#        sh boomake -install ../_install install || croak
+#    else
+#        carp "Project has not been built - boomake is missing"
+#    fi
+#    cd $PUSHDIR
+#    PUSHDIR=`pwd`
     cd zlib
     if [ -f boomake ]; then
         sh boomake -install ../_install install || croak
@@ -332,207 +332,207 @@
         echo c/boomake.bat>>_package.lst
     fi
     PUSHDIR=`pwd`
-    cd apr
-
-    (cd apr;      test -f Makefile && make -s distclean >/dev/null)
-    (cd apr-util; test -f Makefile && make -s distclean >/dev/null)
+#   cd apr
+#
+#    (cd apr;      test -f Makefile && make -s distclean >/dev/null)
+#    (cd apr-util; test -f Makefile && make -s distclean >/dev/null)
 
-    (cd ..; perl apr/apr_package_lst.pl apr/apr apr/apr-util >>_package.lst)
+#    (cd ..; perl apr/apr_package_lst.pl apr/apr apr/apr-util >>_package.lst)
    
-    cd $PUSHDIR
-    if [ -f "apr/apr_package_lst.pl" ]; then
-        echo apr/apr_package_lst.pl>>_package.lst
-    fi
-    if [ -f "apr/base_apr.h" ]; then
-        echo apr/base_apr.h>>_package.lst
-    fi
-    if [ "`echo apr/apr*.h`" != "apr/apr*.h" ]; then
-        for file in `echo apr/apr*.h`; do
-            echo $file>>_package.lst
-        done
-    fi
-    if [ "`echo apr/apu*.h`" != "apr/apu*.h" ]; then
-        for file in `echo apr/apu*.h`; do
-            echo $file>>_package.lst
-        done
-    fi
-    if [ -f "apr/stamp_generate" ]; then
-        echo apr/stamp_generate>>_package.lst
-    fi
-    if [ -f "apr/configure" ]; then
-        echo apr/configure>>_package.lst
-    fi
-    if [ -f "apr/Makefile.unix" ]; then
-        echo apr/Makefile.unix>>_package.lst
-    fi
-    if [ -f "apr/boomake" ]; then
-        echo apr/boomake>>_package.lst
-    fi
-    if [ -f "apr/configure.bat" ]; then
-        echo apr/configure.bat>>_package.lst
-    fi
-    if [ -f "apr/Makefile.win32" ]; then
-        echo apr/Makefile.win32>>_package.lst
-    fi
-    if [ -f "apr/boomake.bat" ]; then
-        echo apr/boomake.bat>>_package.lst
-    fi
+#    cd $PUSHDIR
+#    if [ -f "apr/apr_package_lst.pl" ]; then
+#        echo apr/apr_package_lst.pl>>_package.lst
+#    fi
+#    if [ -f "apr/base_apr.h" ]; then
+#        echo apr/base_apr.h>>_package.lst
+#    fi
+#    if [ "`echo apr/apr*.h`" != "apr/apr*.h" ]; then
+#        for file in `echo apr/apr*.h`; do
+#            echo $file>>_package.lst
+#        done
+#    fi
+#    if [ "`echo apr/apu*.h`" != "apr/apu*.h" ]; then
+#        for file in `echo apr/apu*.h`; do
+#            echo $file>>_package.lst
+#        done
+#    fi
+#    if [ -f "apr/stamp_generate" ]; then
+#        echo apr/stamp_generate>>_package.lst
+#    fi
+#    if [ -f "apr/configure" ]; then
+#        echo apr/configure>>_package.lst
+#    fi
+#    if [ -f "apr/Makefile.unix" ]; then
+#        echo apr/Makefile.unix>>_package.lst
+#    fi
+#    if [ -f "apr/boomake" ]; then
+#        echo apr/boomake>>_package.lst
+#    fi
+#    if [ -f "apr/configure.bat" ]; then
+#        echo apr/configure.bat>>_package.lst
+#    fi
+#    if [ -f "apr/Makefile.win32" ]; then
+#        echo apr/Makefile.win32>>_package.lst
+#    fi
+#    if [ -f "apr/boomake.bat" ]; then
+#        echo apr/boomake.bat>>_package.lst
+#    fi
     CCDEFINES="$CCDEFINES -DNOPOSIX"
     export CCDEFINES
-    PUSHDIR=`pwd`
-    cd pcre
-    cd $PUSHDIR
-    if [ -f "pcre/pcre_chartables.c" ]; then
-        echo pcre/pcre_chartables.c>>_package.lst
-    fi
-    if [ -f "pcre/pcre_compile.c" ]; then
-        echo pcre/pcre_compile.c>>_package.lst
-    fi
-    if [ -f "pcre/pcre_config.c" ]; then
-        echo pcre/pcre_config.c>>_package.lst
-    fi
-    if [ -f "pcre/pcre_dfa_exec.c" ]; then
-        echo pcre/pcre_dfa_exec.c>>_package.lst
-    fi
-    if [ -f "pcre/pcre_exec.c" ]; then
-        echo pcre/pcre_exec.c>>_package.lst
-    fi
-    if [ -f "pcre/pcre_fullinfo.c" ]; then
-        echo pcre/pcre_fullinfo.c>>_package.lst
-    fi
-    if [ -f "pcre/pcre_get.c" ]; then
-        echo pcre/pcre_get.c>>_package.lst
-    fi
-    if [ -f "pcre/pcre_globals.c" ]; then
-        echo pcre/pcre_globals.c>>_package.lst
-    fi
-    if [ -f "pcre/pcre_info.c" ]; then
-        echo pcre/pcre_info.c>>_package.lst
-    fi
-    if [ -f "pcre/pcre_maketables.c" ]; then
-        echo pcre/pcre_maketables.c>>_package.lst
-    fi
-    if [ -f "pcre/pcre_ord2utf8.c" ]; then
-        echo pcre/pcre_ord2utf8.c>>_package.lst
-    fi
-    if [ -f "pcre/pcre_refcount.c" ]; then
-        echo pcre/pcre_refcount.c>>_package.lst
-    fi
-    if [ -f "pcre/pcre_study.c" ]; then
-        echo pcre/pcre_study.c>>_package.lst
-    fi
-    if [ -f "pcre/pcre_tables.c" ]; then
-        echo pcre/pcre_tables.c>>_package.lst
-    fi
-    if [ -f "pcre/pcre_try_flipped.c" ]; then
-        echo pcre/pcre_try_flipped.c>>_package.lst
-    fi
-    if [ -f "pcre/pcre_ucp_searchfuncs.c" ]; then
-        echo pcre/pcre_ucp_searchfuncs.c>>_package.lst
-    fi
-    if [ -f "pcre/pcre_valid_utf8.c" ]; then
-        echo pcre/pcre_valid_utf8.c>>_package.lst
-    fi
-    if [ -f "pcre/pcre_version.c" ]; then
-        echo pcre/pcre_version.c>>_package.lst
-    fi
-    if [ -f "pcre/pcre_xclass.c" ]; then
-        echo pcre/pcre_xclass.c>>_package.lst
-    fi
-    if [ -f "pcre/pcre.h" ]; then
-        echo pcre/pcre.h>>_package.lst
-    fi
-    if [ -f "pcre/pcre_internal.h" ]; then
-        echo pcre/pcre_internal.h>>_package.lst
-    fi
-    if [ -f "pcre/pcre_scanner.h" ]; then
-        echo pcre/pcre_scanner.h>>_package.lst
-    fi
-    if [ -f "pcre/pcre_printint.src" ]; then
-        echo pcre/pcre_printint.src>>_package.lst
-    fi
-    if [ -f "pcre/ucpinternal.h" ]; then
-        echo pcre/ucpinternal.h>>_package.lst
-    fi
-    if [ -f "pcre/ucp.h" ]; then
-        echo pcre/ucp.h>>_package.lst
-    fi
-    if [ -f "pcre/ucptable.c" ]; then
-        echo pcre/ucptable.c>>_package.lst
-    fi
-    if [ -f "pcre/config.h" ]; then
-        echo pcre/config.h>>_package.lst
-    fi
-    if [ -f "pcre/dftables.c" ]; then
-        echo pcre/dftables.c>>_package.lst
-    fi
-    if [ -f "pcre/pcregrep.c" ]; then
-        echo pcre/pcregrep.c>>_package.lst
-    fi
-    if [ -f "pcre/pcredemo.c" ]; then
-        echo pcre/pcredemo.c>>_package.lst
-    fi
-    if [ -f "pcre/pcretest.c" ]; then
-        echo pcre/pcretest.c>>_package.lst
-    fi
-    if [ -f "pcre/AUTHORS" ]; then
-        echo pcre/AUTHORS>>_package.lst
-    fi
-    if [ -f "pcre/ChangeLog" ]; then
-        echo pcre/ChangeLog>>_package.lst
-    fi
-    if [ -f "pcre/COPYING" ]; then
-        echo pcre/COPYING>>_package.lst
-    fi
-    if [ -f "pcre/INSTALL" ]; then
-        echo pcre/INSTALL>>_package.lst
-    fi
-    if [ -f "pcre/LICENCE" ]; then
-        echo pcre/LICENCE>>_package.lst
-    fi
-    if [ -f "pcre/NEWS" ]; then
-        echo pcre/NEWS>>_package.lst
-    fi
-    if [ -f "pcre/NON-UNIX-USE" ]; then
-        echo pcre/NON-UNIX-USE>>_package.lst
-    fi
-    if [ -f "pcre/README" ]; then
-        echo pcre/README>>_package.lst
-    fi
-    if [ -f "pcre/prelude.pdl" ]; then
-        echo pcre/prelude.pdl>>_package.lst
-    fi
-    if [ -f "pcre/license.gpl" ]; then
-        echo pcre/license.gpl>>_package.lst
-    fi
-    if [ -f "pcre/project.pdl" ]; then
-        echo pcre/project.pdl>>_package.lst
-    fi
-    if [ -f "pcre/readme.txt" ]; then
-        echo pcre/readme.txt>>_package.lst
-    fi
-    if [ -f "pcre/stamp_generate" ]; then
-        echo pcre/stamp_generate>>_package.lst
-    fi
-    if [ -f "pcre/configure" ]; then
-        echo pcre/configure>>_package.lst
-    fi
-    if [ -f "pcre/Makefile.unix" ]; then
-        echo pcre/Makefile.unix>>_package.lst
-    fi
-    if [ -f "pcre/boomake" ]; then
-        echo pcre/boomake>>_package.lst
-    fi
-    if [ -f "pcre/configure.bat" ]; then
-        echo pcre/configure.bat>>_package.lst
-    fi
-    if [ -f "pcre/Makefile.win32" ]; then
-        echo pcre/Makefile.win32>>_package.lst
-    fi
-    if [ -f "pcre/boomake.bat" ]; then
-        echo pcre/boomake.bat>>_package.lst
-    fi
-    PUSHDIR=`pwd`
+#    PUSHDIR=`pwd`
+#    cd pcre
+#    cd $PUSHDIR
+#    if [ -f "pcre/pcre_chartables.c" ]; then
+#        echo pcre/pcre_chartables.c>>_package.lst
+#    fi
+#    if [ -f "pcre/pcre_compile.c" ]; then
+#        echo pcre/pcre_compile.c>>_package.lst
+#    fi
+#    if [ -f "pcre/pcre_config.c" ]; then
+#        echo pcre/pcre_config.c>>_package.lst
+#    fi
+#    if [ -f "pcre/pcre_dfa_exec.c" ]; then
+#        echo pcre/pcre_dfa_exec.c>>_package.lst
+#    fi
+#    if [ -f "pcre/pcre_exec.c" ]; then
+#        echo pcre/pcre_exec.c>>_package.lst
+#    fi
+#    if [ -f "pcre/pcre_fullinfo.c" ]; then
+#        echo pcre/pcre_fullinfo.c>>_package.lst
+#    fi
+#    if [ -f "pcre/pcre_get.c" ]; then
+#        echo pcre/pcre_get.c>>_package.lst
+#    fi
+#    if [ -f "pcre/pcre_globals.c" ]; then
+#        echo pcre/pcre_globals.c>>_package.lst
+#    fi
+#    if [ -f "pcre/pcre_info.c" ]; then
+#        echo pcre/pcre_info.c>>_package.lst
+#    fi
+#    if [ -f "pcre/pcre_maketables.c" ]; then
+#        echo pcre/pcre_maketables.c>>_package.lst
+#    fi
+#    if [ -f "pcre/pcre_ord2utf8.c" ]; then
+#        echo pcre/pcre_ord2utf8.c>>_package.lst
+#    fi
+#    if [ -f "pcre/pcre_refcount.c" ]; then
+#        echo pcre/pcre_refcount.c>>_package.lst
+#    fi
+#    if [ -f "pcre/pcre_study.c" ]; then
+#        echo pcre/pcre_study.c>>_package.lst
+#    fi
+#    if [ -f "pcre/pcre_tables.c" ]; then
+#        echo pcre/pcre_tables.c>>_package.lst
+#    fi
+#    if [ -f "pcre/pcre_try_flipped.c" ]; then
+#        echo pcre/pcre_try_flipped.c>>_package.lst
+#    fi
+#    if [ -f "pcre/pcre_ucp_searchfuncs.c" ]; then
+#        echo pcre/pcre_ucp_searchfuncs.c>>_package.lst
+#    fi
+#    if [ -f "pcre/pcre_valid_utf8.c" ]; then
+#        echo pcre/pcre_valid_utf8.c>>_package.lst
+#    fi
+#    if [ -f "pcre/pcre_version.c" ]; then
+#        echo pcre/pcre_version.c>>_package.lst
+#    fi
+#    if [ -f "pcre/pcre_xclass.c" ]; then
+#        echo pcre/pcre_xclass.c>>_package.lst
+#    fi
+#    if [ -f "pcre/pcre.h" ]; then
+#        echo pcre/pcre.h>>_package.lst
+#    fi
+#    if [ -f "pcre/pcre_internal.h" ]; then
+#        echo pcre/pcre_internal.h>>_package.lst
+#    fi
+#    if [ -f "pcre/pcre_scanner.h" ]; then
+#        echo pcre/pcre_scanner.h>>_package.lst
+#    fi
+#    if [ -f "pcre/pcre_printint.src" ]; then
+#        echo pcre/pcre_printint.src>>_package.lst
+#    fi
+#    if [ -f "pcre/ucpinternal.h" ]; then
+#        echo pcre/ucpinternal.h>>_package.lst
+#    fi
+#    if [ -f "pcre/ucp.h" ]; then
+#        echo pcre/ucp.h>>_package.lst
+#    fi
+#    if [ -f "pcre/ucptable.c" ]; then
+#        echo pcre/ucptable.c>>_package.lst
+#    fi
+#    if [ -f "pcre/config.h" ]; then
+#        echo pcre/config.h>>_package.lst
+#    fi
+#    if [ -f "pcre/dftables.c" ]; then
+#        echo pcre/dftables.c>>_package.lst
+#    fi
+#    if [ -f "pcre/pcregrep.c" ]; then
+#        echo pcre/pcregrep.c>>_package.lst
+#    fi
+#    if [ -f "pcre/pcredemo.c" ]; then
+#        echo pcre/pcredemo.c>>_package.lst
+#    fi
+#    if [ -f "pcre/pcretest.c" ]; then
+#        echo pcre/pcretest.c>>_package.lst
+#    fi
+#    if [ -f "pcre/AUTHORS" ]; then
+#        echo pcre/AUTHORS>>_package.lst
+#    fi
+#    if [ -f "pcre/ChangeLog" ]; then
+#        echo pcre/ChangeLog>>_package.lst
+#    fi
+#    if [ -f "pcre/COPYING" ]; then
+#        echo pcre/COPYING>>_package.lst
+#    fi
+#    if [ -f "pcre/INSTALL" ]; then
+#        echo pcre/INSTALL>>_package.lst
+#    fi
+#    if [ -f "pcre/LICENCE" ]; then
+#        echo pcre/LICENCE>>_package.lst
+#    fi
+#    if [ -f "pcre/NEWS" ]; then
+#        echo pcre/NEWS>>_package.lst
+#    fi
+#    if [ -f "pcre/NON-UNIX-USE" ]; then
+#        echo pcre/NON-UNIX-USE>>_package.lst
+#    fi
+#    if [ -f "pcre/README" ]; then
+#        echo pcre/README>>_package.lst
+#    fi
+#    if [ -f "pcre/prelude.pdl" ]; then
+#        echo pcre/prelude.pdl>>_package.lst
+#    fi
+#    if [ -f "pcre/license.gpl" ]; then
+#        echo pcre/license.gpl>>_package.lst
+#    fi
+#    if [ -f "pcre/project.pdl" ]; then
+#        echo pcre/project.pdl>>_package.lst
+#    fi
+#    if [ -f "pcre/readme.txt" ]; then
+#        echo pcre/readme.txt>>_package.lst
+#    fi
+#    if [ -f "pcre/stamp_generate" ]; then
+#        echo pcre/stamp_generate>>_package.lst
+#    fi
+#    if [ -f "pcre/configure" ]; then
+#        echo pcre/configure>>_package.lst
+#    fi
+#    if [ -f "pcre/Makefile.unix" ]; then
+#        echo pcre/Makefile.unix>>_package.lst
+#    fi
+#    if [ -f "pcre/boomake" ]; then
+#        echo pcre/boomake>>_package.lst
+#    fi
+#    if [ -f "pcre/configure.bat" ]; then
+#       echo pcre/configure.bat>>_package.lst
+#    fi
+#    if [ -f "pcre/Makefile.win32" ]; then
+#        echo pcre/Makefile.win32>>_package.lst
+#    fi
+#    if [ -f "pcre/boomake.bat" ]; then
+#        echo pcre/boomake.bat>>_package.lst
+#    fi
+#    PUSHDIR=`pwd`
     cd zlib
     cd $PUSHDIR
     if [ -f "zlib/ChangeLog" ]; then
@@ -720,10 +720,10 @@
     fi
     echo "Source package successfully generated">c/stamp_source
     echo "c/stamp_source" >>_package.lst
-    echo "Source package successfully generated">apr/stamp_source
-    echo "apr/stamp_source" >>_package.lst
-    echo "Source package successfully generated">pcre/stamp_source
-    echo "pcre/stamp_source" >>_package.lst
+#    echo "Source package successfully generated">apr/stamp_source
+#    echo "apr/stamp_source" >>_package.lst
+#    echo "Source package successfully generated">pcre/stamp_source
+#    echo "pcre/stamp_source" >>_package.lst
     echo "Source package successfully generated">zlib/stamp_source
     echo "zlib/stamp_source" >>_package.lst
     echo "Source package successfully generated">tests/stamp_source
@@ -743,8 +743,8 @@
     rm _package.lst
     rm stamp_source
     rm -f c/stamp_source
-    rm -f apr/stamp_source
-    rm -f pcre/stamp_source
+#    rm -f apr/stamp_source
+#    rm -f pcre/stamp_source
     rm -f zlib/stamp_source
     rm -f tests/stamp_source
 }
@@ -767,24 +767,24 @@
         croak "Project has not been configured - boomake is missing"
     fi
     cd $PUSHDIR
-    carp "Processing project in apr..."
-    PUSHDIR=`pwd`
-    cd apr
-    if [ -f boomake ]; then
-        sh boomake -install ../_install build install || croak
-    else
-        croak "Project has not been configured - boomake is missing"
-    fi
-    cd $PUSHDIR
-    carp "Processing project in pcre..."
-    PUSHDIR=`pwd`
-    cd pcre
-    if [ -f boomake ]; then
-        sh boomake -install ../_install build install || croak
-    else
-        croak "Project has not been configured - boomake is missing"
-    fi
-    cd $PUSHDIR
+#    carp "Processing project in apr..."
+#    PUSHDIR=`pwd`
+#    cd apr
+#    if [ -f boomake ]; then
+#        sh boomake -install ../_install build install || croak
+#    else
+#        croak "Project has not been configured - boomake is missing"
+#    fi
+#    cd $PUSHDIR
+#    carp "Processing project in pcre..."
+#    PUSHDIR=`pwd`
+#    cd pcre
+#    if [ -f boomake ]; then
+#        sh boomake -install ../_install build install || croak
+#    else
+#        croak "Project has not been configured - boomake is missing"
+#    fi
+#    cd $PUSHDIR
     carp "Processing project in zlib..."
     PUSHDIR=`pwd`
     cd zlib
@@ -832,24 +832,24 @@
         croak "Project has not been configured - boomake is missing"
     fi
     cd $PUSHDIR
-    carp "Processing project in apr..."
-    PUSHDIR=`pwd`
-    cd apr
-    if [ -f boomake ]; then
-        sh boomake clean || croak
-    else
-        croak "Project has not been configured - boomake is missing"
-    fi
-    cd $PUSHDIR
-    carp "Processing project in pcre..."
-    PUSHDIR=`pwd`
-    cd pcre
-    if [ -f boomake ]; then
-        sh boomake clean || croak
-    else
-        croak "Project has not been configured - boomake is missing"
-    fi
-    cd $PUSHDIR
+#    carp "Processing project in apr..."
+#    PUSHDIR=`pwd`
+#    cd apr
+#    if [ -f boomake ]; then
+#        sh boomake clean || croak
+#    else
+#        croak "Project has not been configured - boomake is missing"
+#    fi
+#    cd $PUSHDIR
+#    carp "Processing project in pcre..."
+#    PUSHDIR=`pwd`
+#    cd pcre
+#    if [ -f boomake ]; then
+#        sh boomake clean || croak
+#    else
+#        croak "Project has not been configured - boomake is missing"
+#    fi
+#    cd $PUSHDIR
     carp "Processing project in zlib..."
     PUSHDIR=`pwd`
     cd zlib
@@ -885,24 +885,24 @@
         croak "Project has not been configured - boomake is missing"
     fi
     cd $PUSHDIR
-    carp "Processing project in apr..."
-    PUSHDIR=`pwd`
-    cd apr
-    if [ -f boomake ]; then
-        sh boomake compile || croak
-    else
-        croak "Project has not been configured - boomake is missing"
-    fi
-    cd $PUSHDIR
-    carp "Processing project in pcre..."
-    PUSHDIR=`pwd`
-    cd pcre
-    if [ -f boomake ]; then
-        sh boomake compile || croak
-    else
-        croak "Project has not been configured - boomake is missing"
-    fi
-    cd $PUSHDIR
+#    carp "Processing project in apr..."
+#    PUSHDIR=`pwd`
+#    cd apr
+#    if [ -f boomake ]; then
+#        sh boomake compile || croak
+#    else
+#        croak "Project has not been configured - boomake is missing"
+#    fi
+#    cd $PUSHDIR
+#    carp "Processing project in pcre..."
+#    PUSHDIR=`pwd`
+#    cd pcre
+#    if [ -f boomake ]; then
+#        sh boomake compile || croak
+#    else
+#        croak "Project has not been configured - boomake is missing"
+#    fi
+#    cd $PUSHDIR
     carp "Processing project in zlib..."
     PUSHDIR=`pwd`
     cd zlib
@@ -936,24 +936,24 @@
         croak "Project has not been configured - boomake is missing"
     fi
     cd $PUSHDIR
-    carp "Processing project in apr..."
-    PUSHDIR=`pwd`
-    cd apr
-    if [ -f boomake ]; then
-        sh boomake install || croak
-    else
-        croak "Project has not been configured - boomake is missing"
-    fi
-    cd $PUSHDIR
-    carp "Processing project in pcre..."
-    PUSHDIR=`pwd`
-    cd pcre
-    if [ -f boomake ]; then
-        sh boomake install || croak
-    else
-        croak "Project has not been configured - boomake is missing"
-    fi
-    cd $PUSHDIR
+#    carp "Processing project in apr..."
+#    PUSHDIR=`pwd`
+#    cd apr
+#    if [ -f boomake ]; then
+#        sh boomake install || croak
+#    else
+#        croak "Project has not been configured - boomake is missing"
+#    fi
+#    cd $PUSHDIR
+#    carp "Processing project in pcre..."
+#    PUSHDIR=`pwd`
+#    cd pcre
+#    if [ -f boomake ]; then
+#        sh boomake install || croak
+#    else
+#        croak "Project has not been configured - boomake is missing"
+#    fi
+#    cd $PUSHDIR
     carp "Processing project in zlib..."
     PUSHDIR=`pwd`
     cd zlib
@@ -991,24 +991,24 @@
         croak "Project has not been configured - boomake is missing"
     fi
     cd $PUSHDIR
-    carp "Processing project in apr..."
-    PUSHDIR=`pwd`
-    cd apr
-    if [ -f boomake ]; then
-        sh boomake regen || croak
-    else
-        croak "Project has not been configured - boomake is missing"
-    fi
-    cd $PUSHDIR
-    carp "Processing project in pcre..."
-    PUSHDIR=`pwd`
-    cd pcre
-    if [ -f boomake ]; then
-        sh boomake regen || croak
-    else
-        croak "Project has not been configured - boomake is missing"
-    fi
-    cd $PUSHDIR
+#    carp "Processing project in apr..."
+#    PUSHDIR=`pwd`
+#    cd apr
+#    if [ -f boomake ]; then
+#        sh boomake regen || croak
+#    else
+#        croak "Project has not been configured - boomake is missing"
+#    fi
+#    cd $PUSHDIR
+#    carp "Processing project in pcre..."
+#    PUSHDIR=`pwd`
+#    cd pcre
+#    if [ -f boomake ]; then
+#        sh boomake regen || croak
+#    else
+#        croak "Project has not been configured - boomake is missing"
+#    fi
+#    cd $PUSHDIR
     carp "Processing project in zlib..."
     PUSHDIR=`pwd`
     cd zlib
@@ -1058,24 +1058,24 @@
         croak "Project has not been configured - boomake is missing"
     fi
     cd $PUSHDIR
-    carp "Processing project in apr..."
-    PUSHDIR=`pwd`
-    cd apr
-    if [ -f boomake ]; then
-        sh boomake test || croak
-    else
-        croak "Project has not been configured - boomake is missing"
-    fi
-    cd $PUSHDIR
-    carp "Processing project in pcre..."
-    PUSHDIR=`pwd`
-    cd pcre
-    if [ -f boomake ]; then
-        sh boomake test || croak
-    else
-        croak "Project has not been configured - boomake is missing"
-    fi
-    cd $PUSHDIR
+#    carp "Processing project in apr..."
+#    PUSHDIR=`pwd`
+#    cd apr
+#    if [ -f boomake ]; then
+#        sh boomake test || croak
+#    else
+#        croak "Project has not been configured - boomake is missing"
+#    fi
+#    cd $PUSHDIR
+#    carp "Processing project in pcre..."
+#    PUSHDIR=`pwd`
+#    cd pcre
+#    if [ -f boomake ]; then
+#        sh boomake test || croak
+#    else
+#        croak "Project has not been configured - boomake is missing"
+#    fi
+#    cd $PUSHDIR
     carp "Processing project in zlib..."
     PUSHDIR=`pwd`
     cd zlib